<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Sun Feb 12 09:57:45 AST 2017 -->
<title>LinkedListDequeTest</title>
<meta name="date" content="2017-02-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="LinkedListDequeTest";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LinkedListDequeTest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Testing/ArrayStackTest.html" title="class in Testing"><span class="strong">Prev Class</span></a></li>
<li><a href="../Testing/LinkedListStackTest.html" title="class in Testing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Testing/LinkedListDequeTest.html" target="_top">Frames</a></li>
<li><a href="LinkedListDequeTest.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Testing</div>
<h2 title="Class LinkedListDequeTest" class="title">Class LinkedListDequeTest</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Testing.LinkedListDequeTest</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">LinkedListDequeTest</span>
extends java.lang.Object</pre>
<div class="block">Represents JUNIT test class for Linked List implementation of Deque</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>Asok Kalidass Kalisamy (B00763356) - Graduate Student</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../Testing/LinkedListDequeTest.html#LinkedListDequeTest()">LinkedListDequeTest</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestDeleteAndAddDequeQueue()">TestDeleteAndAddDequeQueue</a></strong>()</code>
<div class="block">A test for random insert and delete operation</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestEmptyFrmFirstDequeQueue()">TestEmptyFrmFirstDequeQueue</a></strong>()</code>
<div class="block">A test to insert array elements through rear end and empty its content from front</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestEmptyFrmLastDequeQueue()">TestEmptyFrmLastDequeQueue</a></strong>()</code>
<div class="block">A test to check is array empty before removing the array content</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestExtraInserLastDequeQueue()">TestExtraInserLastDequeQueue</a></strong>()</code>
<div class="block">A test to overload the array elements through insert at its rear end</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestForEmptyListAtFirstDequeQueue()">TestForEmptyListAtFirstDequeQueue</a></strong>()</code>
<div class="block">A test to check deletion at its front end on empty list</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestForEmptyListAtLastDequeQueue()">TestForEmptyListAtLastDequeQueue</a></strong>()</code>
<div class="block">A test to check deletion at its rear end on empty list</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestInserFirstDequeQueue()">TestInserFirstDequeQueue</a></strong>()</code>
<div class="block">A test to insert elements through front twice when front index is at initial position</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestInserLastDequeQueue()">TestInserLastDequeQueue</a></strong>()</code>
<div class="block">A test to fill Dequeue through inserting at  its rear end</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestInsertFirstAndRmvFrmLastDequeQueue()">TestInsertFirstAndRmvFrmLastDequeQueue</a></strong>()</code>
<div class="block">A test to insert 1st array elements from front & rest from rear then empty its content from its rear end</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestLastElementDeletionDequeQueue()">TestLastElementDeletionDequeQueue</a></strong>()</code>
<div class="block">A test for last element deletion at first and Is array empty Test</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestMidElementDeletionDequeQueue()">TestMidElementDeletionDequeQueue</a></strong>()</code>
<div class="block">A test for last element deletion in mid</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../Testing/LinkedListDequeTest.html#TestStringDequeQueue()">TestStringDequeQueue</a></strong>()</code>
<div class="block">A test for last element deletion in mid</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LinkedListDequeTest()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LinkedListDequeTest</h4>
<pre>public&nbsp;LinkedListDequeTest()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="TestInserFirstDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestInserFirstDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestInserFirstDequeQueue()</pre>
<div class="block">A test to insert elements through front twice when front index is at initial position</div>
</li>
</ul>
<a name="TestInserLastDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestInserLastDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestInserLastDequeQueue()</pre>
<div class="block">A test to fill Dequeue through inserting at  its rear end</div>
</li>
</ul>
<a name="TestExtraInserLastDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestExtraInserLastDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestExtraInserLastDequeQueue()</pre>
<div class="block">A test to overload the array elements through insert at its rear end</div>
</li>
</ul>
<a name="TestForEmptyListAtLastDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestForEmptyListAtLastDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestForEmptyListAtLastDequeQueue()</pre>
<div class="block">A test to check deletion at its rear end on empty list</div>
</li>
</ul>
<a name="TestForEmptyListAtFirstDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestForEmptyListAtFirstDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestForEmptyListAtFirstDequeQueue()</pre>
<div class="block">A test to check deletion at its front end on empty list</div>
</li>
</ul>
<a name="TestEmptyFrmFirstDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestEmptyFrmFirstDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestEmptyFrmFirstDequeQueue()</pre>
<div class="block">A test to insert array elements through rear end and empty its content from front</div>
</li>
</ul>
<a name="TestEmptyFrmLastDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestEmptyFrmLastDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestEmptyFrmLastDequeQueue()</pre>
<div class="block">A test to check is array empty before removing the array content</div>
</li>
</ul>
<a name="TestInsertFirstAndRmvFrmLastDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestInsertFirstAndRmvFrmLastDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestInsertFirstAndRmvFrmLastDequeQueue()</pre>
<div class="block">A test to insert 1st array elements from front & rest from rear then empty its content from its rear end</div>
</li>
</ul>
<a name="TestDeleteAndAddDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestDeleteAndAddDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestDeleteAndAddDequeQueue()</pre>
<div class="block">A test for random insert and delete operation</div>
</li>
</ul>
<a name="TestLastElementDeletionDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestLastElementDeletionDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestLastElementDeletionDequeQueue()</pre>
<div class="block">A test for last element deletion at first and Is array empty Test</div>
</li>
</ul>
<a name="TestMidElementDeletionDequeQueue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TestMidElementDeletionDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestMidElementDeletionDequeQueue()</pre>
<div class="block">A test for last element deletion in mid</div>
</li>
</ul>
<a name="TestStringDequeQueue()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TestStringDequeQueue</h4>
<pre>public&nbsp;void&nbsp;TestStringDequeQueue()</pre>
<div class="block">A test for last element deletion in mid</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LinkedListDequeTest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Testing/ArrayStackTest.html" title="class in Testing"><span class="strong">Prev Class</span></a></li>
<li><a href="../Testing/LinkedListStackTest.html" title="class in Testing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Testing/LinkedListDequeTest.html" target="_top">Frames</a></li>
<li><a href="LinkedListDequeTest.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
